# -*- coding: utf-8 -*-
import sqlite3

class DataBaseManagement():
	def __init__(self):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		cursor.execute("SELECT * FROM sqlite_master WHERE type='table'")
		self.DBExists = cursor.fetchall()
		#Datenbank existiert noch nicht bzw. Programm wird das erste mal ausgefuehrt
		if not self.DBExists:
			#Meldung ausgeben
			#Datenbank erstellen
			cursor.execute("""CREATE TABLE quiz ( 
			id INTEGER, name TEXT)""")
			
			cursor.execute("""CREATE TABLE questions ( 
			id INTEGER , frage TEXT, antwort TEXT, quiz_id INTEGER )""")
			
			
			#Beispielquiz erstellen
			werte = {"id" : "1", "name" : "Example"} 
			sql = "INSERT INTO quiz (id, name) VALUES (:id, :name)" 
			cursor.execute(sql, werte)
			connection.commit()
			
			werte = {"id" : "1", "frage" : "What is the capital of Switzerland?", "antwort" : "Bern", "quiz_id" : "1"}
			sql = "INSERT INTO questions (id, frage, antwort, quiz_id) VALUES(:id, :frage, :antwort, :quiz_id)"
			cursor.execute(sql, werte)
			connection.commit()

		else:
			pass
			#Datenbank einlesen
			#ListView fuellen
			
	def getQuizList(self):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		cursor.execute("SELECT * FROM quiz")
		return cursor.fetchall()
		
	def getQuestions(self, QuizID):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		strSQL = "SELECT * FROM questions WHERE quiz_id='"
		strSQL = strSQL+str(QuizID)
		strSQL = strSQL+"'"
		
		cursor.execute(strSQL)
		return cursor.fetchall()

	def getIDbyName(self, Name):
		#Returns ID of a quiz by it's name
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		strSQL = u"SELECT id FROM quiz WHERE name='"
		strSQL = strSQL+unicode(Name)
		strSQL = strSQL+u"'"
		cursor.execute(strSQL)
		return cursor.fetchall()

	def InsertData(self, QuestionID, QuizID, Question, Answer):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		werte = {"id" : QuestionID, "frage" : unicode(Question), "antwort" : unicode(Answer), "quiz_id" : QuizID}
		sql = u"INSERT INTO questions (id, frage, antwort, quiz_id) VALUES(:id, :frage, :antwort, :quiz_id)"
		cursor.execute(sql, werte)
		connection.commit()

	def getQuizIDs(self):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		cursor.execute("SELECT id FROM quiz")
		return cursor.fetchall()

	def getQuestionIDs(self):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		cursor.execute("SELECT id FROM questions")
		return cursor.fetchall()
		
	def WriteNewQuizName(self, QuizID, QuizName):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		werte = {"id" : QuizID, "name" : unicode(QuizName)} 
		sql = u"INSERT INTO quiz (id, name) VALUES (:id, :name)"
		cursor.execute(sql, werte)
		connection.commit()

	def DeleteQuizByID(self, ID):
		connection = sqlite3.connect("quiz.db")
		cursor = connection.cursor()
		strSQL = u"DELETE FROM quiz WHERE id='"
		strSQL = strSQL+unicode(ID)
		strSQL = strSQL+u"'"
		cursor.execute(strSQL)
		connection.commit()  
        
			
	def __del__(self):
		pass
