# -*- coding: utf-8 -*-
import sys, os, random
from DB import DataBaseManagement

class ManageData():
	def __init__(self):
		pass
		
		
	def getQuiz(self, selected):
		DB = DataBaseManagement()
		QuizID = 1
		
		QuizIDArray=DB.getIDbyName(selected)
		QuizID = QuizIDArray[0]
		self.Questions = DB.getQuestions(QuizID[0])
		#Mix up Questions
		random.shuffle(self.Questions)
		return self.Questions
		
	def getNextQuizID(self):
		DB = DataBaseManagement()
		self.QuizIDs=DB.getQuizIDs()
		self.intID=0
		for rows in self.QuizIDs:
			self.intID=self.intID+1
		return self.intID
		#gets latest quizID

	def getNextQuestionID(self):
		DB = DataBaseManagement()
		self.QuestionIDs=DB.getQuestionIDs()
		self.intID=0
		for rows in self.QuestionIDs:
			self.intID=self.intID+1
		return self.intID
		#gets latestQuestionID

	def CreateNewQuiz(self, QuizName):
		DB = DataBaseManagement()
		self.QuizID = self.getNextQuizID()
		self.QuizID = self.QuizID + 1
		DB.WriteNewQuizName(self.QuizID, QuizName)

	def insertDataToLatestQuiz(self, Data):
		DB = DataBaseManagement()
		self.QuizID = self.getNextQuizID()
		self.QuizID = self.QuizID
		self.QuestionID = self.getNextQuestionID()
		self.QuestionID = self.QuestionID + 1
		DB.InsertData(self.QuestionID, self.QuizID, Data[0], Data[1])
		
	def DeleteSelectedQuiz(self, selected):
		DB = DataBaseManagement()
		QuizID = 1
		QuizIDArray=DB.getIDbyName(selected)
		QuizID = QuizIDArray[0]
		DB.DeleteQuizByID(QuizID[0])
		
