#!/usr/bin/env python#!/usr/bin/env python
# -*- coding: utf-8 -*-
# QuizProgramm

import sys
from PyQt4 import QtGui
from PyQt4 import QtCore
from DB import DataBaseManagement
from logic import *
from importData import *

	


class PlayQuiz(QtGui.QWidget):
	def __init__(self, parent=None):
		QtGui.QWidget.__init__(self, parent)

		self.setGeometry(300, 300, 650, 150)
		self.setWindowTitle('Quiz')
		
		self.QuestionsLabel = QtGui.QLabel(self)
		self.QuestionsLabel.move(49, 23)

		self.TestLabel = QtGui.QLabel(self)
		self.TestLabel.move(50, 46)
		
		self.AnswerLineEdit = QtGui.QLineEdit(self)
		self.AnswerLineEdit.move(50, 67)

		self.buttonCheckAnswer = QtGui.QPushButton('Check', self)
		self.buttonCheckAnswer.setFocusPolicy(QtCore.Qt.NoFocus)

		self.buttonCheckAnswer.move(200, 67)
		self.connect(self.buttonCheckAnswer, QtCore.SIGNAL('clicked()'), self.CheckAnswer)

		self.buttonFinish = QtGui.QPushButton('Beenden', self)
		self.buttonFinish.setFocusPolicy(QtCore.Qt.NoFocus)

		self.buttonFinish.move(300, 67)
		self.connect(self.buttonFinish, QtCore.SIGNAL('clicked()'), self.CloseWindow)
		#self.QuizName = QtGui.QLineEdit(self)
		#self.QuizName.move(50, 23)

		self.SecondQuestions = []
		self.intSecondTurn = 0

	def CloseWindow(self):
		self.intSecondTurn = 0
		self.close()
		
	def startQuiz(self, selected):
		MD = ManageData()
		if not selected:
			self.TestLabel.setText(u"You didn't choose a quiz                                                                                              ")
		else:
			self.TestLabel.setText("                                                                                                                            ")

		self.Questions = MD.getQuiz(selected.text())

		if not self.Questions:
			PQ.QuestionsLabel.setText("No Questions available                                    ")
		else:
			self.intI=0
			for rows in self.Questions:
				self.intI=self.intI+1
				self.intMaxQuestions = self.intI
			self.intMaxQuestions=self.intMaxQuestions-1

			self.intI=0
			self.item = self.Questions[self.intI]
			self.QuestionsLabel.setText(self.item[1]+"                                    ")
			#PQ.QuestionsLabel.setText(self.Questions[0])
			
	def CheckAnswer(self):
		if self.intSecondTurn == 0:
			##Wenn der Text gleich ist wie in item[2] dann richtig
			if self.AnswerLineEdit.text() == self.item[2]:
				self.TestLabel.setText("correct                                               ")
			else:
				self.TestLabel.setText(u"Question: "+self.item[1]+" Answer: "+self.item[2])
				self.SecondQuestions.extend(self.item[1:3])
				##sonst falsch
				##Frage nach hinten
			##Naechste Frage ausgeben
			self.PrintNextQuestion()
		else:
			if self.AnswerLineEdit.text() == self.SecondQuestions[1]:
				self.TestLabel.setText("correct                                               ")
				del self.SecondQuestions[1]
				del self.SecondQuestions[0]
			else:
				self.TestLabel.setText(u"Question: "+self.item[1]+" Answer: "+self.item[2])
				##sonst falsch
				self.SecondQuestions.append(self.SecondQuestions[0])
				self.SecondQuestions.append(self.SecondQuestions[1])

				##Frage nach hinten
			##Naechste Frage ausgeben
			self.PrintNextQuestion()

	def PrintNextQuestion(self):
		if self.intI < self.intMaxQuestions:		
			self.intI=self.intI+1
			self.AnswerLineEdit.setText("")
			self.item = self.Questions[self.intI]
			self.QuestionsLabel.setText(self.item[1])
		else:
			if not self.SecondQuestions:
				self.TestLabel.setText("Quiz finished")
				self.AnswerLineEdit.setText("")
				PQ.QuestionsLabel.setText("Quiz finished")
				del self.item #Falls nicht funktioniert wieder loeschen
				del self.Questions
				
				
			else:
				self.intSecondTurn = 1
				self.AnswerLineEdit.setText("")
				self.QuestionsLabel.setText(self.SecondQuestions[0])
				

class InsertQuestionsWindow(QtGui.QWidget):
	def __init__(self, parent=None):
		QtGui.QWidget.__init__(self, parent)	
		self.setGeometry(500, 300, 350, 180)
		self.setWindowTitle('Create quiz')

		self.QuestionLabel = QtGui.QLabel(self)
		self.QuestionLabel.move(20, 10)
		self.QuestionLabel.setText("Question:")

		self.QuizQuestion = QtGui.QLineEdit(self)
		self.QuizQuestion.move(20, 30)

		self.AnswerLabel = QtGui.QLabel(self)
		self.AnswerLabel.move(20, 60)
		self.AnswerLabel.setText("Answer:")

		self.QuizAnswer = QtGui.QLineEdit(self)
		self.QuizAnswer.move(20, 80)
		
		self.buttonNext = QtGui.QPushButton(u'Next Question', self)
		self.connect(self.buttonNext, QtCore.SIGNAL('clicked()'), self.InsertData)
		self.setFocusPolicy(QtCore.Qt.NoFocus)
		self.buttonNext.move(200, 120)

		self.buttonCreate = QtGui.QPushButton('Save Quiz', self)
		self.connect(self.buttonCreate, QtCore.SIGNAL('clicked()'), self.SaveQuiz)
		self.setFocusPolicy(QtCore.Qt.NoFocus)
		self.buttonCreate.move(200, 150)

	def InsertData(self):
		MD = ManageData()
		Data = [ self.QuizQuestion.text(), self.QuizAnswer.text() ]
		MD.insertDataToLatestQuiz(Data)
		self.QuizAnswer.setText(" ")
		self.QuizQuestion.setText(" ")
		
	
	def SaveQuiz(self):
		#Ausgabe Quiz gespeichert
		MW.RefreshListWidget();		
		self.close()


class AddQuizWindow(QtGui.QWidget):
	def __init__(self, parent=None):
		QtGui.QWidget.__init__(self, parent)

		self.setGeometry(150, 300, 350, 180)
		self.setWindowTitle('Quiz erstellen')
		
		self.NameLabel = QtGui.QLabel(self)
		self.NameLabel.move(20, 4)
		self.NameLabel.setText("Quiz Name:")

		self.LineEditQuizName = QtGui.QLineEdit(self)
		self.LineEditQuizName.move(20, 23)
		

		#Button for Importing Data
		self.buttonImportQuiz = QtGui.QPushButton('Import Data', self)
		self.buttonImportQuiz.setFocusPolicy(QtCore.Qt.NoFocus)

		self.buttonImportQuiz.move(200, 65)
		self.connect(self.buttonImportQuiz, QtCore.SIGNAL('clicked()'), self.ImportQuiz)
		self.setFocus()

		self.buttonCreate = QtGui.QPushButton('Create Quiz', self)
		self.connect(self.buttonCreate, QtCore.SIGNAL('clicked()'), self.CreateQuiz)
		self.setFocusPolicy(QtCore.Qt.NoFocus)
		self.buttonCreate.move(200, 20)
        
        
	def CreateQuiz(self):
		MD = ManageData()
		self.QuizName=self.LineEditQuizName.text()
		MD.CreateNewQuiz(self.QuizName)
		IQW.show()
		self.close()
		#Write Quiz Name to Database

        def ImportQuiz(self):
            MD = ManageData()
            self.QuizName=self.LineEditQuizName.text()
            MD.CreateNewQuiz(self.QuizName)
            IW.show()
            self.close()



class MainWindow(QtGui.QWidget):
	def __init__(self, parent=None):
		#QtGui.QWidget.__init__(self, parent)
		QtGui.QMainWindow.__init__(self)
		
		#Load required classes
		DB = DataBaseManagement()
		MD = ManageData()

		
		
		#Mainwindow size and positioning
		self.setGeometry(300, 300, 550, 380)
		self.setWindowTitle('Quiz programm')
		
		#Button for starting quiz
		self.buttonStartQuiz = QtGui.QPushButton('Start Quiz', self)
		self.buttonStartQuiz.setFocusPolicy(QtCore.Qt.NoFocus)

		self.buttonStartQuiz.move(20, 60)
		self.connect(self.buttonStartQuiz, QtCore.SIGNAL('clicked()'), self.StartQuiz)
		self.setFocus()

		#Button for Adding Quiz
		self.buttonAddQuiz = QtGui.QPushButton('Add Quiz', self)
		self.buttonAddQuiz.setFocusPolicy(QtCore.Qt.NoFocus)

		self.buttonAddQuiz.move(20, 20)
		self.connect(self.buttonAddQuiz, QtCore.SIGNAL('clicked()'), self.AddQuiz)
		self.setFocus()

		#Button for delete Quiz
		self.buttonAddQuiz = QtGui.QPushButton('Delete Quiz', self)
		self.buttonAddQuiz.setFocusPolicy(QtCore.Qt.NoFocus)

		self.buttonAddQuiz.move(120, 20)
		self.connect(self.buttonAddQuiz, QtCore.SIGNAL('clicked()'), self.DeleteQuiz)
		self.setFocus()

		#ListWidget
		self.listWidget = QtGui.QListWidget(self)
		self.listWidget.move(20, 100)
		
		
		#Fill ListWidget
		self.QuizList = DB.getQuizList()
		if not self.QuizList:
			item = "There is no Quiz"
			
		else:
			intI=0
			for rows in self.QuizList:
				item = self.QuizList[intI]
				self.listWidget.addItem(item[1])
				intI=intI+1


		##Code for Quit
		#Does not work
		exit = QtGui.QAction(QtGui.QIcon('icons/exit.png'), 'Exit', self)
		exit.setShortcut('Ctrl+Q')
		exit.setStatusTip('Exit application')
		self.connect(exit, QtCore.SIGNAL('triggered()'), QtCore.SLOT('close()'))

		#self.statusBar()
		#menubar = self.menuBar()
		#file = menubar.addMenu('&File')
		#file.addAction(exit)
		
	def DeleteQuiz(self):
		print("Delte Quiz wurde gedrückt")
		ArrayOfSelectedItems = MW.listWidget.selectedItems()
		#check if empty ArrayOfSelectedItems[0]
		selected = ArrayOfSelectedItems[0]
		MD = ManageData()
		MD.DeleteSelectedQuiz(selected.text())
		self.RefreshListWidget();	

		
	def AddQuiz(self):
		AQW.show()


	def StartQuiz(self):
		ArrayOfSelectedItems = MW.listWidget.selectedItems()
		#check if empty ArrayOfSelectedItems[0]
		selected = ArrayOfSelectedItems[0]
		PQ.startQuiz(selected)
		PQ.show()


	def RefreshListWidget(self):
		#clear listwidget first
		self.listWidget.clear()		
		DB = DataBaseManagement()
		self.QuizList = DB.getQuizList()
		if not self.QuizList:
			item = "There is no Quiz"
			
		else:
			intI=0
			for rows in self.QuizList:
				item = self.QuizList[intI]
				self.listWidget.addItem(item[1])
				intI=intI+1
			



app = QtGui.QApplication(sys.argv)
IW = ImportWindow()
AQW = AddQuizWindow()
PQ = PlayQuiz()
IQW = InsertQuestionsWindow()
MW = MainWindow()
MW.show()
app.exec_()

